=== debian/changelog ===
gnu-efi (3.0.2-1ubuntu1) wily; urgency=medium

  * Merge with Debian unstable, remaining changes: 
    - debian/patches/gcc46-compatibility: don't break with old compilers
      and -DGNU_EFI_USE_MS_ABI.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Thu, 04 Jun 2015 17:35:25 -0500

gnu-efi (3.0.2-1) unstable; urgency=medium

  * Imported Upstream version 3.0.2
  * debian/rules: Simplify by using upstream Makefile for install
  * debian/control: Bump Standards-Version to 3.9.6
  * debian/copyright: Remove spaces from License keyword
  * Add any-arm and any-arm64 to the architecture list
  * inc-efistdarg.h-Use-gcc-builtins-instead-of-stdarg.h.patch: Applied upstream

 -- Julian Andres Klode <jak@debian.org>  Thu, 25 Sep 2014 15:53:43 +0200

gnu-efi (3.0v-5ubuntu1) wily; urgency=medium

  * Merge from Debian unstable (LP: #1396381), remaining changes:
    - debian/patches/gcc46-compatibility: don't break with old compilers
      and -DGNU_EFI_USE_MS_ABI.
  * Dropped changes, included in Debian:
    - pass architecture arguments when building the x86_64 code on i386

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 May 2015 17:45:11 +0000
