## gnu-efi 3.0.4

=== Makefile ===
--- 
+++ 
@@ -34,7 +34,7 @@
 #    SUCH DAMAGE.
 #
 
-VERSION = 3.0.2
+VERSION = 3.0.4
 
 SRCDIR = $(shell pwd)
