=== debian/changelog ===
gnu-efi (3.0.4-2) unstable; urgency=medium

  * aarch64: Fix invalid cast from const to non-const
  * Do not build with -Werror

 -- Julian Andres Klode <jak@debian.org>  Thu, 30 Jun 2016 13:41:30 +0200

gnu-efi (3.0.4-1) unstable; urgency=medium

  * Merge gcc 4.6 support patch from Ubuntu
  * Imported Upstream version 3.0.4
  * Add patch: "ARM: hide 'hidden' pragma for hosted build" (Closes: #828887)
  * Rebase patches against 3.0.4
  * Update copyright file, new upstream release fixes GPL issue
    (Closes: #808472)
  * debian/control: Update Vcs URIs to https
  * Bump Standards-Version to 3.9.8

 -- Julian Andres Klode <jak@debian.org>  Thu, 30 Jun 2016 11:52:10 +0200

gnu-efi (3.0.3-2) unstable; urgency=medium

  * Do not try to build multilib on non-Linux i386 builds
  * Fix building on armhf: replace @function by %function

 -- Julian Andres Klode <jak@debian.org>  Sun, 29 Nov 2015 12:32:59 +0100

gnu-efi (3.0.3-1) unstable; urgency=medium

  [ Julian Andres Klode ]
  * Simplify architecture list: drop ia64 and armel, use wildcards where possible
  * Drop Nigel Croxon from Uploaders, he's not involved in packaging
  * Update Vcs-Browser URL to point to cgit instead of gitweb
  * rules: Match architectures by CPU rather than parts of architecture
  * debian/watch: Add
  * Imported Upstream version 3.0.3

  [ Helmut Grohne ]
  * Fix FTCBFS by exporting CROSS_COMPILE (Closes: #805400)

 -- Julian Andres Klode <jak@debian.org>  Tue, 17 Nov 2015 20:59:42 +0100
