=== debian/control ===
Source: gnu-efi
Section: devel
Priority: optional
Maintainer: Julian Andres Klode <jak@debian.org>
Build-Depends:
 debhelper (>= 9),
 binutils,
 gcc-multilib [any-amd64 i386],
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/collab-maint/gnu-efi.git
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/gnu-efi.git
Homepage: http://sourceforge.net/projects/gnu-efi/

Package: gnu-efi
Architecture: any-amd64 any-i386 any-arm64 armhf
Depends: ${misc:Depends}
Description: Library for developing EFI applications
 GNU toolchain for building applications that can run in the environment
 presented by Intel's EFI (Extensible Firmware Interface). EFI is a firmware
 specification for the "BIOS" on ia64(IPF), IA-32(x86) and x86_64 systems.
