## gnu-efi 3.0.8

=== debian/changelog ===
gnu-efi (3.0.8-0ubuntu1~14.04.1) trusty; urgency=medium

  * New upstream version 3.0.8. (LP: #1790709)
  * debian/patches: drop patches, included upstream.
  * Reinstate d/p/ARM-hide-hidden-pragma-for-hosted-build.patch; otherwise
    sbsigntool fails to build on armhf.
  * debian/patches/intptr_define.patch: include stdint.h from inc/efilink.h.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Tue, 04 Sep 2018 15:30:59 -0400

gnu-efi (3.0.6-1~exp1) experimental; urgency=medium

  * New upstream version 3.0.6 (Closes: #880506)
  * Rebase patches against new upstream release
    - Drop ARM-hide-hidden-pragma-for-hosted-build.patch and
      aarch64-Fix-invalid-cast-from-const-to-non-const.patch, no
      longer used
  * Bump Standards-Version to 4.1.1

 -- Julian Andres Klode <jak@debian.org>  Wed, 29 Nov 2017 15:06:06 +0100
