=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: gnu-efi
 Section: devel
 Priority: optional
-Maintainer: Julian Andres Klode <jak@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Julian Andres Klode <jak@debian.org>
 Build-Depends:
  debhelper (>= 9),
  binutils,
  gcc-multilib [any-amd64 i386],
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/gnu-efi.git
 Vcs-Browser: https://anonscm.debian.org/git/collab-maint/gnu-efi.git
 Homepage: http://sourceforge.net/projects/gnu-efi/
