=== debian/changelog ===
gnu-efi (3.0.9-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Wrap long lines in changelog entries: 3.0.3-1.
  * Use secure URI in debian/watch.
  * Bump debhelper from old 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Archive, Repository.
  * Rely on pre-initialized dpkg-architecture variables.
  * Fix day-of-week for changelog entry 3.0d-1.

  [ Julian Andres Klode ]
  * Change Maintainer to Debian EFI team
  * Point Vcs to new efi-team location

 -- Julian Andres Klode <jak@debian.org>  Thu, 04 Feb 2021 12:03:03 +0100

gnu-efi (3.0.9-1) unstable; urgency=medium

  * New upstream version 3.0.9
  * Update Vcs URIs to point to Salsa
  * Delete debian/source/options

 -- Julian Andres Klode <jak@debian.org>  Mon, 22 Oct 2018 13:44:47 +0200

gnu-efi (3.0.8-1) unstable; urgency=medium

  [ Julian Andres Klode ]
  * New upstream version 3.0.8

  [ Mathieu Trudel-Lapierre ]
  * debian/patches: drop patches, included upstream
  * Reinstate d/p/ARM-hide-hidden-pragma-for-hosted-build.patch;
    otherwise sbsigntool fails to build on armhf.

 -- Julian Andres Klode <jak@debian.org>  Wed, 10 Oct 2018 22:46:43 +0200
