=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: gnu-efi
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Julian Andres Klode <jak@debian.org>
+Maintainer: Debian EFI team <debian-efi@lists.debian.org>
+Uploaders: Julian Andres Klode <jak@debian.org>
 Build-Depends:
- debhelper (>= 9),
+ debhelper-compat (= 12),
  binutils,
  gcc-multilib [any-amd64 i386],
 Standards-Version: 4.1.1
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/gnu-efi.git
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/gnu-efi.git
+Vcs-Git: https://salsa.debian.org/efi-team/gnu-efi.git
+Vcs-Browser: https://salsa.debian.org/efi-team/gnu-efi
 Homepage: http://sourceforge.net/projects/gnu-efi/
 
 Package: gnu-efi
