## gnu-efi 3.0.13+git20210716.269ef9d

=== Makefile ===
--- 
+++ 
@@ -34,9 +34,10 @@
 #    SUCH DAMAGE.
 #
 
-VERSION = 3.0.4
+VERSION = 3.0.13
 
-SRCDIR = $(shell pwd)
+MKFILE_PATH := $(abspath $(lastword $(MAKEFILE_LIST)))
+SRCDIR = $(dir $(MKFILE_PATH))
 
 VPATH = $(SRCDIR)
