=== debian/changelog ===
gnu-efi (3.0.13+git20210716.269ef9d-2ubuntu1) jammy; urgency=medium

  * Set NumberOfSymbols to zero in COFF header (LP: #1960340)

 -- Alfonso Sanchez-Beato <alfonso.sanchez-beato@canonical.com>  Tue, 08 Feb 2022 18:12:16 +0100

gnu-efi (3.0.13+git20210716.269ef9d-2) unstable; urgency=medium

  * Upload to unstable

 -- Julian Andres Klode <jak@debian.org>  Tue, 14 Sep 2021 08:24:37 +0200

gnu-efi (3.0.13+git20210716.269ef9d-1) experimental; urgency=medium

  * New upstream version 3.0.13+git20210716.269ef9d
  * Add any-riscv64 to Architecture list (Closes: #988231) (LP: #1938324)
  * Add any-ia64 to Architecture list (Closes: #926535)
  * Drop patches; applied upstream

 -- Julian Andres Klode <jak@debian.org>  Thu, 29 Jul 2021 17:55:17 +0200
