=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: gnu-efi
 Section: devel
 Priority: optional
-Maintainer: Debian EFI team <debian-efi@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian EFI team <debian-efi@lists.debian.org>
 Uploaders: Julian Andres Klode <jak@debian.org>
 Build-Depends:
  debhelper-compat (= 12),
@@ -13,7 +14,7 @@
 Homepage: http://sourceforge.net/projects/gnu-efi/
 
 Package: gnu-efi
-Architecture: any-amd64 any-i386 any-arm64 armhf
+Architecture: any-amd64 any-i386 any-arm64 armhf any-riscv64 any-ia64
 Depends: ${misc:Depends}
 Description: Library for developing EFI applications
  GNU toolchain for building applications that can run in the environment
