=== debian/changelog ===
gnu-efi (3.0.15-1) unstable; urgency=medium

  * New upstream version 3.0.15

 -- Julian Andres Klode <jak@debian.org>  Fri, 27 Jan 2023 21:24:25 +0100
