=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: gnu-efi
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian EFI team <debian-efi@lists.debian.org>
+Maintainer: Debian EFI team <debian-efi@lists.debian.org>
 Uploaders: Julian Andres Klode <jak@debian.org>
 Build-Depends:
  debhelper-compat (= 12),
