=== debian/changelog ===
gnu-efi (3.0.18-1) unstable; urgency=medium

  * Strip LDFLAGS before passing to the build
  * Add loong64 to arch list (Closes: #1025787)
  * Correctly set the PREFIX for the build
  * Add myself to uploaders
  * Drop unnecessary binutils build dep (Closes: #1032501)

 -- Mario Limonciello <superm1@gmail.com>  Mon, 25 Mar 2024 14:50:29 -0500
