=== debian/control ===
--- 
+++ 
@@ -2,10 +2,9 @@
 Section: devel
 Priority: optional
 Maintainer: Debian EFI team <debian-efi@lists.debian.org>
-Uploaders: Julian Andres Klode <jak@debian.org>
+Uploaders: Julian Andres Klode <jak@debian.org>, Mario Limonciello <superm1@gmail.com>
 Build-Depends:
  debhelper-compat (= 12),
- binutils,
  gcc-multilib [any-amd64 i386],
 Standards-Version: 4.1.1
 Vcs-Git: https://salsa.debian.org/efi-team/gnu-efi.git
@@ -13,7 +12,7 @@
 Homepage: http://sourceforge.net/projects/gnu-efi/
 
 Package: gnu-efi
-Architecture: any-amd64 any-i386 any-arm64 armhf any-riscv64 any-ia64
+Architecture: any-amd64 any-i386 any-arm64 armhf any-riscv64 any-loong64 any-ia64
 Depends: ${misc:Depends}
 Description: Library for developing EFI applications
  GNU toolchain for building applications that can run in the environment
