=== debian/watch ===
version=3
https://sf.net/gnu-efi/gnu-efi-(\d\S*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
