## gnu-efi 4.0.0

=== Makefile ===
--- 
+++ 
@@ -34,7 +34,7 @@
 #    SUCH DAMAGE.
 #
 
-VERSION = 3.0.15
+export VERSION = 4.0.0
 
 MKFILE_PATH := $(abspath $(lastword $(MAKEFILE_LIST)))
 SRCDIR = $(dir $(MKFILE_PATH))
@@ -43,10 +43,19 @@
 
 include $(SRCDIR)/Make.defaults
 
-SUBDIRS = lib gnuefi inc apps
-gnuefi: lib
+SUBDIRS    = lib inc apps
+ifeq ($(IS_MINGW32),)
+  SUBDIRS += gnuefi
+endif
 
 all:	check_gcc $(SUBDIRS)
+
+ifeq ($(IS_MINGW32),)
+gnuefi: lib
+apps:	gnuefi
+else
+apps:	lib
+endif
 
 mkvars:
 	@echo AR=$(AR)
@@ -80,15 +89,15 @@
 	$(MAKE) -C $(OBJDIR)/$@ -f $(SRCDIR)/$@/Makefile SRCDIR=$(SRCDIR)/$@ ARCH=$(ARCH)
 
 clean:
-	rm -f *~
-	@for d in $(SUBDIRS); do \
+	@rm -vrf *~
+	@set -e ; for d in $(SUBDIRS); do \
 		if [ -d $(OBJDIR)/$$d ]; then \
 			$(MAKE) -C $(OBJDIR)/$$d -f $(SRCDIR)/$$d/Makefile SRCDIR=$(SRCDIR)/$$d clean; \
 		fi; \
 	done
 
 install:
-	@for d in $(SUBDIRS); do \
+	@set -e ; for d in $(SUBDIRS); do \
 		mkdir -p $(OBJDIR)/$$d; \
 		$(MAKE) -C $(OBJDIR)/$$d -f $(SRCDIR)/$$d/Makefile SRCDIR=$(SRCDIR)/$$d install; done
