=== apps/Makefile ===
--- 
+++ 
@@ -37,45 +37,78 @@
 SRCDIR = .
 
 VPATH = $(SRCDIR)
+TOPDIR = $(SRCDIR)/..
 
 include $(SRCDIR)/../Make.defaults
 
-TOPDIR = $(SRCDIR)/..
+LINUX_HEADERS	= /usr/src/sys/build
+APPSDIR		= $(LIBDIR)/gnuefi/apps
+CPPFLAGS	+= -D__KERNEL__ -I$(LINUX_HEADERS)/include
 
-CDIR=$(TOPDIR)/..
-LINUX_HEADERS	= /usr/src/sys/build
-CPPFLAGS	+= -D__KERNEL__ -I$(LINUX_HEADERS)/include
-CRTOBJS		= ../gnuefi/crt0-efi-$(ARCH).o
+ifneq ($(HAVE_EFI_OBJCOPY),)
+ifeq ($(SYSTEM_HAS_EFI_OBJCOPY),0)
+CRT0_LOCAL = -local
+LDS_LOCAL = _local
+endif
+endif
 
-LDSCRIPT	= $(TOPDIR)/gnuefi/elf_$(ARCH)_efi.lds
-ifneq (,$(findstring FreeBSD,$(OS)))
+ifeq ($(IS_MINGW32),)
+# The CRT0 libs are only needed for non MinGW platforms
+CRT0_LIBS	= -lgnuefi
+endif
+
+ifneq ($(CRT0_LIBS),)
+CRTOBJS		= $(TOPDIR)/$(ARCH)/gnuefi/crt0-efi-$(ARCH)$(CRT0_LOCAL).o
+
+LDSCRIPT	= $(TOPDIR)/gnuefi/elf_$(ARCH)_efi$(LDS_LOCAL).lds
+ifeq ($(USING_FREEBSD),1)
 LDSCRIPT	= $(TOPDIR)/gnuefi/elf_$(ARCH)_fbsd_efi.lds
 endif
+LDFLAGS		+= -L$(TOPDIR)/$(ARCH)/lib -L$(TOPDIR)/$(ARCH)/gnuefi $(CRTOBJS)
+LOADLIBES	+= -T $(LDSCRIPT)
+endif
 
-LDFLAGS		+= -shared -Bsymbolic -L../lib -L../gnuefi $(CRTOBJS)
+LDFLAGS		+= -shared -Bsymbolic -L$(TOPDIR)/$(ARCH)/lib
 
-LOADLIBES	+= -lefi -lgnuefi
+LOADLIBES	+= -lefi $(CRT0_LIBS)
 LOADLIBES	+= $(LIBGCC)
-LOADLIBES	+= -T $(LDSCRIPT)
 
-TARGET_APPS = t.efi t2.efi t3.efi t4.efi t5.efi t6.efi \
-	      printenv.efi t7.efi t8.efi tcc.efi modelist.efi \
-	      route80h.efi drv0_use.efi AllocPages.efi \
-	      FreePages.efi setjmp.efi debughook.efi debughook.efi.debug
+TARGET_APPS  = t.efi t2.efi t3.efi t4.efi t5.efi t6.efi t7.efi t8.efi \
+               tcc.efi printenv.efi modelist.efi route80h.efi drv0_use.efi \
+               AllocPages.efi exit.efi FreePages.efi bltgrid.efi \
+               lfbgrid.efi setdbg.efi unsetdbg.efi old_ABI.efi
+ifeq ($(IS_MINGW32),)
+TARGET_APPS += setjmp.efi debughook.efi debughook.efi.debug \
+               ctors_test.efi ctors_dtors_priority_test.efi
+endif
+
+ifeq ($(USING_FREEBSD),0)
 TARGET_BSDRIVERS = drv0.efi
+else
+TARGET_BSDRIVERS =
+endif
 TARGET_RTDRIVERS =
-
-ifneq ($(HAVE_EFI_OBJCOPY),)
-
-FORMAT		:= --target efi-app-$(ARCH)
-$(TARGET_BSDRIVERS): FORMAT=--target efi-bsdrv-$(ARCH)
-$(TARGET_RTDRIVERS): FORMAT=--target efi-rtdrv-$(ARCH)
-
-else
 
 SUBSYSTEM	:= 0xa
 $(TARGET_BSDRIVERS): SUBSYSTEM = 0xb
 $(TARGET_RTDRIVERS): SUBSYSTEM = 0xc
+
+ifeq ($(SYSTEM_HAS_EFI_OBJCOPY),1)
+
+FORMAT		:= -O efi-app-$(ARCH)
+$(TARGET_BSDRIVERS): FORMAT=-O efi-bsdrv-$(ARCH)
+$(TARGET_RTDRIVERS): FORMAT=-O efi-rtdrv-$(ARCH)
+
+ifneq ($(IS_MINGW32),)
+LDFLAGS     += -s -Wl,-dll -Wl,--subsystem,$(SUBSYSTEM) 
+ifeq ($(ARCH),ia32)
+LDFLAGS     += -e _efi_main
+else
+LDFLAGS     += -e efi_main
+endif
+endif
+
+else
 
 FORMAT		:= -O binary
 LDFLAGS		+= --defsym=EFI_SUBSYSTEM=$(SUBSYSTEM)
@@ -86,8 +119,14 @@
 
 all:	$(TARGETS)
 
+ctors_test.so : ctors_fns.o ctors_test.o
+
 clean:
-	rm -f $(TARGETS) *~ *.o *.so
+	@rm -vf $(TARGETS) *~ *.o *.so
+
+install:
+	mkdir -p $(INSTALLROOT)$(APPSDIR)
+	$(INSTALL) -m 644 $(TARGETS) $(INSTALLROOT)$(APPSDIR)
 
 .PHONY: install
