=== lib/Makefile ===
--- 
+++ 
@@ -43,9 +43,9 @@
 
 FILES = boxdraw smbios console crc data debug dpath \
         entry error event exit guid hand hw init lock \
-        misc pause print sread str cmdline\
-	runtime/rtlock runtime/efirtlib runtime/rtstr runtime/vm runtime/rtdata  \
-	$(ARCH)/initplat $(ARCH)/math $(ARCH)/setjmp
+        misc pause print sread str cmdline runtime/rtlock \
+        runtime/efirtlib runtime/rtstr runtime/vm runtime/rtdata \
+        $(ARCH)/initplat $(ARCH)/math $(ARCH)/setjmp
 
 ifeq ($(ARCH),ia64)
 FILES += $(ARCH)/salpal $(ARCH)/palproc
@@ -64,8 +64,6 @@
 
 SUBDIRS = ia32 x86_64 ia64 aarch64 arm mips64el riscv64 loongarch64 runtime
 
-LIBDIRINSTALL = $(INSTALLROOT)$(LIBDIR)
-
 all: libsubdirs libefi.a
 
 .PHONY: libsubdirs
@@ -75,17 +73,14 @@
 $(OBJS): libsubdirs
 
 libefi.a: $(OBJS)
-	$(AR) $(ARFLAGS) $@ $^
+	@$(ECHO) "  AR       $(notdir $@)"
+	$(HIDE)$(AR) $(ARFLAGS) $@ $^
 
 clean:
 	@rm -vf libefi.a *~ $(OBJS) */*.o
 
-$(LIBDIRINSTALL):
-	mkdir -p $@
-
-$(LIBDIRINSTALL)/libefi.a: libefi.a | $(LIBDIRINSTALL)
-	$(INSTALL) -m 644 $< $(dir $@)
-
-install: $(LIBDIRINSTALL)/libefi.a
+install:
+	mkdir -p $(INSTALLROOT)$(LIBDIR)
+	$(INSTALL) -m 644 libefi.a $(INSTALLROOT)$(LIBDIR)
 
 include $(SRCDIR)/../Make.rules
