=== debian/changelog ===
gnu-efi (4.0.0-1) unstable; urgency=medium

  * Team upload
  * Change sf.net Homepage to Github

  [ Julian Andres Klode ]
  * debian/watch: Use new github.com repository (Closes: #1089642)
  * New upstream version 4.0.0
  * debian/copyright: Point to github repository as well

 -- Bastian Germann <bage@debian.org>  Wed, 07 Jan 2026 22:27:51 +0100
