=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Standards-Version: 4.1.1
 Vcs-Git: https://salsa.debian.org/efi-team/gnu-efi.git
 Vcs-Browser: https://salsa.debian.org/efi-team/gnu-efi
-Homepage: http://sourceforge.net/projects/gnu-efi/
+Homepage: https://github.com/ncroxon/gnu-efi
 
 Package: gnu-efi
 Architecture: any-amd64 any-i386 any-arm64 armhf any-riscv64 any-loong64 any-ia64
